Package org.pushingpixels.substance.internal.utils

# Class SubstanceSplitPaneDivider

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.plaf.basic.BasicSplitPaneDivider
org.pushingpixels.substance.internal.utils.SubstanceSplitPaneDivider

All Implemented Interfaces:
  `ImageObserver`, `MenuContainer`, `PropertyChangeListener`, `Serializable`, `EventListener`, `TransitionAwareUI`

public class SubstanceSplitPaneDivider extends BasicSplitPaneDivider implements TransitionAwareUI
Split pane divider in `Substance` look and feel.

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`SubstanceSplitPaneDivider.SubstanceDividerLayout`
Layout manager for the split pane divider.

## Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicSplitPaneDivider

`BasicSplitPaneDivider.DividerLayout, BasicSplitPaneDivider.DragController, BasicSplitPaneDivider.MouseHandler, BasicSplitPaneDivider.VerticalDragController`

## Nested classes/interfaces inherited from class java.awt.Container

`Container.AccessibleAWTContainer`

## Nested classes/interfaces inherited from class java.awt.Component

`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected StateTransitionTracker`
`stateTransitionTracker`

### Fields inherited from class javax.swing.plaf.basic.BasicSplitPaneDivider

`dividerSize, dragger, hiddenDivider, leftButton, mouseHandler, ONE_TOUCH_OFFSET, ONE_TOUCH_SIZE, orientation, rightButton, splitPane, splitPaneUI`

### Fields inherited from class java.awt.Component

`accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

### Fields inherited from interface java.awt.image.ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceSplitPaneDivider(SubstanceSplitPaneUI ui)`
Simple constructor.

## Method Summary

Modifier and Type
Method
Description
`protected JButton`
`createLeftOneTouchButton()`
`protected JButton`
`createRightOneTouchButton()`
`StateTransitionTracker`
`getTransitionTracker()`
Returns the model for tracking the transitions.
`boolean`
`isInside(MouseEvent me)`
Checks whether the mouse position of the specified event lies inside the area of the component designated for transition effects.
`void`
`paint(Graphics g)`
`void`
`setBasicSplitPaneUI(BasicSplitPaneUI newUI)`
`void`
`updateOneTouchButtons(int orientation)`
Updates the one-touch buttons.

### Methods inherited from class javax.swing.plaf.basic.BasicSplitPaneDivider

`dragDividerTo, finishDraggingTo, getBasicSplitPaneUI, getBorder, getDividerSize, getInsets, getMinimumSize, getPreferredSize, isMouseOver, oneTouchExpandableChanged, prepareForDragging, propertyChange, setBorder, setDividerSize, setMouseOver`

### Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, addNotify, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getListeners, getMaximumSize, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, isValidateRoot, layout, list, list, locate, minimumSize, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusDownCycle, update, validate, validateTree`

### Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, revalidate, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setMixingCutoutShape, setName, setPreferredSize, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### stateTransitionTracker

protected StateTransitionTracker stateTransitionTracker

## Constructor Details

### SubstanceSplitPaneDivider

public SubstanceSplitPaneDivider(SubstanceSplitPaneUI ui)
Simple constructor.

Parameters:
  `ui` - Associated UI.

## Method Details

### setBasicSplitPaneUI

public void setBasicSplitPaneUI(BasicSplitPaneUI newUI)

Overrides:
  `setBasicSplitPaneUI` in class `BasicSplitPaneDivider`

### paint

public void paint(Graphics g)

Overrides:
  `paint` in class `BasicSplitPaneDivider`

### createLeftOneTouchButton

protected JButton createLeftOneTouchButton()

Overrides:
  `createLeftOneTouchButton` in class `BasicSplitPaneDivider`

### createRightOneTouchButton

protected JButton createRightOneTouchButton()

Overrides:
  `createRightOneTouchButton` in class `BasicSplitPaneDivider`

### updateOneTouchButtons

public void updateOneTouchButtons(int orientation)
Updates the one-touch buttons.

Parameters:
  `orientation` - Split pane orientation.

### isInside

public boolean isInside(MouseEvent me)
Description copied from interface: `TransitionAwareUI`
Checks whether the mouse position of the specified event lies inside the area of the component designated for transition effects.

Specified by:
  `isInside` in interface `TransitionAwareUI`
Parameters:
  `me` - Mouse event.
Returns:
  `true` if the mouse position of the specified event lies inside the area of the component designated for transition effects, `false` otherwise.

### getTransitionTracker

public StateTransitionTracker getTransitionTracker()
Description copied from interface: `TransitionAwareUI`
Returns the model for tracking the transitions.

Specified by:
  `getTransitionTracker` in interface `TransitionAwareUI`
Returns:
  Model for tracking the transitions.